Package com.databricks.jdbc.model.core

## Enum Disposition

- java.lang.Object
- - java.lang.Enum<Disposition>
  - - com.databricks.jdbc.model.core.Disposition

All Implemented Interfaces:
  `Serializable`, `Comparable<Disposition>`

    public enum Disposition
    extends Enum<Disposition>

Enum to represent the disposition of the result data from SQL Execution API.

TODO: Replace this class with the corresponding SDK implementation once it becomes available

### Enum Constant Summary

Enum Constants
`EXTERNAL_LINKS` Result data is returned as external DBFS links in ARROW format.
`INLINE` Result data is returned inline in JSON format.
`INLINE_OR_EXTERNAL_LINKS` Result data is returned as a mix of inline and external links in ARROW format.

### Method Summary

All Methods Static Methods Concrete Methods
`static Disposition` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Disposition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXTERNAL_LINKS

    public static final Disposition EXTERNAL_LINKS

Result data is returned as external DBFS links in ARROW format.

#### INLINE

    public static final Disposition INLINE

Result data is returned inline in JSON format.

#### INLINE_OR_EXTERNAL_LINKS

    public static final Disposition INLINE_OR_EXTERNAL_LINKS

Result data is returned as a mix of inline and external links in ARROW format.

### Method Detail

#### values

    public static Disposition[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Disposition c : Disposition.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Disposition valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null